Subject: [jose] JOSE/JSON Charter Issues

From: Anders Rundgren <[email-masked]>
Date: Sun, 1 Nov 2015 09:26:50 +0100

"JavaScript Object Notation (JSON) is a text format for the serialization
    of structured data described in RFC 4627. The JSON format is often used
    for serializing and transmitting structured data over a network
    connection. With the increased usage of JSON in protocols in the IETF and
    elsewhere, there is now a desire to offer security services, which use
    encryption, digital signatures, message authentication codes (MACs)
    algorithms, that carry their data in JSON format"

AFAICT, JWS has about the same relation to data in JSON or JavaScript format
as most other signature formats including CMS have; that is, none.  What JWS
does though is getting away from ASN.1 although this is also a bit of a
stretch since some constructs still rely on ASN.1 like "x5c" headers.

Regarding JavaScript ("The mother of JSON"), it has recently been upgraded
w.r.t. serialization which means the majority of JSON tools do not necessarily
interoperate well with JavaScript as implemented in browsers.

IMO, it is a bit premature closing the JOSE and JSON WGs.

Anders